import 'package:flutter/material.dart';
import 'package:test_sa/views/app_style/colors.dart';
import 'package:test_sa/views/app_style/sizing.dart';

class LandPageItem extends StatelessWidget {
  final String text;
  final IconData icon;
  final VoidCallback onPressed;

  const LandPageItem({Key key, this.text, this.icon, this.onPressed}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: onPressed,
      child: Container(
        padding: const EdgeInsets.only(left: 20, right: 20, bottom: 15, top: 28),
        decoration: BoxDecoration(
          color: Colors.white,
          borderRadius: BorderRadius.circular(15),
          boxShadow: [
            BoxShadow(
              color: const Color(0xff000000).withOpacity(.15),
              blurRadius: 26,
              offset: const Offset(0, -3),
            ),
          ],
        ),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          children: <Widget>[
            Icon(
              icon,
              color: AColors.primaryColor,
              size: 42 * AppStyle.getScaleFactor(context),
            ),
            Text(text, style: TextStyle(color: AColors.grey3A)),
          ],
        ),
      ),
    );
  }
}
